package data;

import java.util.List;
import java.util.Map;

public class Sentence {


	private List<Word> words;
	private List<String> taxonomy;

	// GOS
	private String type;
	private Map<String, String> properties;

	public Sentence(List<Word> words, List<String> taxonomy) {
		this.words = words;
		this.taxonomy = taxonomy;
	}

//	public Sentence(List<Word> words) {
//		this.words = words;
//	}

	public Sentence(List<Word> words, List<String> taxonomy, Map<String, String> properties) {
		this.words = words;
		this.taxonomy = taxonomy;
		this.properties = properties;
	}

	public Sentence(List<Word> words, List<String> taxonomy, String type) {
		this.words = words;
		this.taxonomy = taxonomy;
		this.type = type;
	}

	public List<Word> getWords() {
		return words;
	}

	public List<String> getTaxonomy() {
		return taxonomy;
	}

	public List<Word> getSublist(int indexFrom, int indexTo) {
		return this.words.subList(indexFrom, indexTo);
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
}
